Skip to content

API Reference

Submit a deletion request for a person and any related data

DELETE /v2/person https://api.cable.tech

This operation will submit a request to delete the person and any related data.

The deletion request will be processed by the system and the data will be removed permanently from Cable’s system. Deletion requests are not processed immediately and may take some time to complete.

The status of the deletion request can be checked using the deletion request ID and the status endpoint.

This operation is not intended for regular use and should be used with caution.

Authentication

  • Bearer token in the Authorization header person:delete

Request body

application/json object

  • person_id string required

    The unique identifier of the person

  • reason string required

    The reason for deletion

Responses

200 Deletion request submitted successfully

  • person_id string

    The unique identifier of the person

  • deletion_request_id string

    The unique identifier of the deletion request

Errors

  • 401 Unauthorized request
  • 404 Person does not exist
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string